cURL
curl --request GET \
--url https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"snapshot_id": "sd_mve1hbze1ctojk1cn9",
"dataset_id": "gd_lwxkxvnf1cynvib9co",
"status": "ready",
"fields": [
{
"name": "id",
"filled": 4,
"total": 4,
"fill_rate": 100
},
{
"name": "photos",
"filled": 2,
"total": 4,
"fill_rate": 50
},
{
"name": "quoted_post",
"filled": 0,
"total": 4,
"fill_rate": 0
},
{
"name": "tagged_users",
"filled": 1,
"total": 4,
"fill_rate": 25
},
{
"name": "views",
"filled": 3,
"total": 4,
"fill_rate": 75
}
]
}Invalid credentialsSnapshot does not existFill rate is not available for this snapshot: no successful records were collected (collection errors: 1)管理 API
获取快照填充率
获取单个 Bright Data Scraper API 快照的逐字段填充率。GET /datasets/v3/snapshot//fill_rate 返回每个字段的填充数、评估数和百分比,便于在下载前检查数据覆盖情况。
GET
/
datasets
/
v3
/
snapshot
/
{snapshot_id}
/
fill_rate
cURL
curl --request GET \
--url https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brightdata.com/datasets/v3/snapshot/{snapshot_id}/fill_rate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"snapshot_id": "sd_mve1hbze1ctojk1cn9",
"dataset_id": "gd_lwxkxvnf1cynvib9co",
"status": "ready",
"fields": [
{
"name": "id",
"filled": 4,
"total": 4,
"fill_rate": 100
},
{
"name": "photos",
"filled": 2,
"total": 4,
"fill_rate": 50
},
{
"name": "quoted_post",
"filled": 0,
"total": 4,
"fill_rate": 0
},
{
"name": "tagged_users",
"filled": 1,
"total": 4,
"fill_rate": 25
},
{
"name": "views",
"filled": 3,
"total": 4,
"fill_rate": 75
}
]
}Invalid credentialsSnapshot does not existFill rate is not available for this snapshot: no successful records were collected (collection errors: 1)此端点显示单个 Scraper API 快照中每个输出字段有值的比例,便于在下载或投递结果之前检查数据覆盖情况。
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
快照 ID,在触发采集时返回。可通过获取快照列出账户的快照。
示例:
"sd_mve1hbze1ctojk1cn9"
此页面对您有帮助吗?